# mjs@60f1a55cb144:/UbuntuSync$ oc get multiclusterroleassignment -n open-cluster-management-global-set matttest1 -oyaml
apiVersion: rbac.open-cluster-management.io/v1beta1
kind: MulticlusterRoleAssignment
metadata:
  annotations:
    kubectl.kubernetes.io/last-applied-configuration: |
      {"apiVersion":"rbac.open-cluster-management.io/v1beta1","kind":"MulticlusterRoleAssignment","metadata":{"annotations":{},"name":"matttest1","namespace":"open-cluster-management-global-set"},"spec":{"roleAssignments":[{"clusterRole":"role1","clusterSelection":{"placements":[{"name":"p1-local-cluster","namespace":"open-cluster-management-global-set"}],"type":"placements"},"name":"ra1"},{"clusterRole":"role1","clusterSelection":{"placements":[{"name":"p2-nocluster","namespace":"open-cluster-management-global-set"}],"type":"placements"},"name":"ra2"},{"clusterRole":"role1","clusterSelection":{"placements":[{"name":"p1-local-cluster","namespace":"open-cluster-management-global-set"}],"type":"placements"},"name":"ra3","targetNamespaces":["non-existent-ns"]},{"clusterRole":"role1","clusterSelection":{"placements":[{"name":"non-existent-placement","namespace":"open-cluster-management-global-set"}],"type":"placements"},"name":"ra4"},{"clusterRole":"role1","clusterSelection":{"placements":[{"name":"p3-unavailable-cluster","namespace":"open-cluster-management-global-set"}],"type":"placements"},"name":"ra5"},{"clusterRole":"role1","clusterSelection":{"placements":[{"name":"p4-globalset-with-some-unavailable-clusters","namespace":"open-cluster-management-global-set"}],"type":"placements"},"name":"ra6"}],"subject":{"kind":"User","name":"Matt"}}}
  creationTimestamp: "2026-02-11T16:41:49Z"
  finalizers:
  - finalizer.rbac.open-cluster-management.io/multiclusterroleassignment
  generation: 6
  name: matttest1
  namespace: open-cluster-management-global-set
  resourceVersion: "30444444"
  uid: bb63864b-ae6d-4707-8c0e-b0161fb49630
spec:
  roleAssignments:
  - clusterRole: role1
    clusterSelection:
      placements:
      - name: p1-local-cluster
        namespace: open-cluster-management-global-set
      type: placements
    name: ra1
  - clusterRole: role1
    clusterSelection:
      placements:
      - name: p2-nocluster
        namespace: open-cluster-management-global-set
      type: placements
    name: ra2
  - clusterRole: role1
    clusterSelection:
      placements:
      - name: p1-local-cluster
        namespace: open-cluster-management-global-set
      type: placements
    name: ra3
    targetNamespaces:
    - non-existent-ns
  - clusterRole: role1
    clusterSelection:
      placements:
      - name: non-existent-placement
        namespace: open-cluster-management-global-set
      type: placements
    name: ra4
  - clusterRole: role1
    clusterSelection:
      placements:
      - name: p3-unavailable-cluster
        namespace: open-cluster-management-global-set
      type: placements
    name: ra5
  - clusterRole: role1
    clusterSelection:
      placements:
      - name: p4-globalset-with-some-unavailable-clusters
        namespace: open-cluster-management-global-set
      type: placements
    name: ra6
  subject:
    kind: User
    name: Matt
status:
  appliedClusters:
  - local-cluster
  - mc1
  - mc2
  - mc3
  - sno-1-vxpqx
  - sno-1-xztwb
  - sno-2-pk2t4
  conditions:
  - lastTransitionTime: "2026-02-11T16:53:46Z"
    message: 7 out of 7 ClusterPermissions applied successfully
    observedGeneration: 6
    reason: Applied
    status: "True"
    type: Applied
  - lastTransitionTime: "2026-02-11T16:53:42Z"
    message: 2 out of 6 role assignments failed, 3 out of 6 role assignments pending
    observedGeneration: 6
    reason: AssignmentsFailure
    status: "False"
    type: Ready
  roleAssignments:
  - createdAt: "2026-02-11T16:41:49Z"
    message: Applied to 1 clusters
    name: ra1
    reason: SuccessfullyApplied
    status: Active
  - createdAt: "2026-02-11T16:44:57Z"
    message: No clusters match Placement selectors
    name: ra2
    reason: NoMatchingClusters
    status: Pending
  - createdAt: "2026-02-11T16:46:32Z"
    message: 'Failed on 1 cluster(s): RoleBinding non-existent-ns/role1-f27a1f82041f3ce6
      failed on cluster local-cluster: Failed to apply manifest: namespaces "non-existent-ns"
      not found'
    name: ra3
    reason: ApplicationFailed
    status: Error
  - createdAt: "2026-02-11T16:48:37Z"
    message: 'Placement not found: placement open-cluster-management-global-set/non-existent-placement
      not found: Placement.cluster.open-cluster-management.io "non-existent-placement"
      not found'
    name: ra4
    reason: InvalidReference
    status: Error
  - createdAt: "2026-02-11T16:51:19Z"
    message: 'Pending on 1 cluster(s): cluster mc1 is in unavailable status'
    name: ra5
    reason: Processing
    status: Pending
  - createdAt: "2026-02-11T16:53:42Z"
    message: 'Applied to 4 cluster(s), pending on 3 cluster(s): cluster mc1 is in
      unavailable status; cluster mc2 is in unavailable status; cluster mc3 is in
      unavailable status'
    name: ra6
    reason: Processing
    status: Pending